Loading...
Searching...
No Matches
ON_FileStream Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Static Public Member Functions

static FILE * | Open (const wchar_t *filename, const wchar_t *mode)
static FILE * | Open (const char *filename, const char *mode)
static int | Close (FILE *fp)
static ON__INT64 | CurrentPosition (FILE *fp)
static bool | SeekFromCurrentPosition (FILE *fp, ON__INT64 offset)
static bool | SeekFromStart (FILE *fp, ON__INT64 offset)
static bool | SeekFromEnd (FILE *fp, ON__INT64 offset)
static bool | Seek (FILE *fp, ON__INT64 offset, int orgin)
static ON__UINT64 | Read (FILE *fp, ON__UINT64 count, void *buffer)
static ON__UINT64 | Write (FILE *fp, ON__UINT64 count, const void *buffer)
static bool | Flush (FILE *fp)
static bool | GetFileInformation (FILE *fp, ON__UINT64 *file_size, ON__UINT64 *file_create_time, ON__UINT64 *file_last_modified_time)

## Detailed Description

Definition at line 20 of file opennurbs_archive.h.

## Member Function Documentation

## Close()

static int ON_FileStream::Close | ( | FILE * | fp | ) |

static

## CurrentPosition()

static ON__INT64 ON_FileStream::CurrentPosition | ( | FILE * | fp | ) |

static

## Flush()

static bool ON_FileStream::Flush | ( | FILE * | fp | ) |

static

## GetFileInformation()

static bool ON_FileStream::GetFileInformation | ( | FILE * | fp,
|  | ON__UINT64 * | file_size,
|  | ON__UINT64 * | file_create_time,
|  | ON__UINT64 * | file_last_modified_time
| ) |  |

static

## Open() [1/2]

static FILE * ON_FileStream::Open | ( | const char * | filename,
|  | const char * | mode
| ) |  |

static

## Open() [2/2]

static FILE * ON_FileStream::Open | ( | const wchar_t * | filename,
|  | const wchar_t * | mode
| ) |  |

static

## Read()

static ON__UINT64 ON_FileStream::Read | ( | FILE * | fp,
|  | ON__UINT64 | count,
|  | void * | buffer
| ) |  |

static

## Seek()

static bool ON_FileStream::Seek | ( | FILE * | fp,
|  | ON__INT64 | offset,
|  | int | orgin
| ) |  |

static

## SeekFromCurrentPosition()

static bool ON_FileStream::SeekFromCurrentPosition | ( | FILE * | fp,
|  | ON__INT64 | offset
| ) |  |

static

## SeekFromEnd()

static bool ON_FileStream::SeekFromEnd | ( | FILE * | fp,
|  | ON__INT64 | offset
| ) |  |

static

## SeekFromStart()

static bool ON_FileStream::SeekFromStart | ( | FILE * | fp,
|  | ON__INT64 | offset
| ) |  |

static

## Write()

static ON__UINT64 ON_FileStream::Write | ( | FILE * | fp,
|  | ON__UINT64 | count,
|  | const void * | buffer
| ) |  |

static

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_archive.h